package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.vo.ImagesDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("主题信息流对象")
public class ThemeQo implements Serializable {

    private static final long serialVersionUID = -8585648478551597699L;

    @ApiModelProperty(value = "主题ID")
    private String themeId;


    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题 3：转发 4:评论")
    private Integer themeType;

    @ApiModelProperty(value = "内容")
    private List<ThemeContentQo> content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "当前用户是否关注该作者")
    private boolean follow;

    @ApiModelProperty(value = "作者认证")
    private String authLabel;

    @ApiModelProperty(value = "发表时间")
    private String upToNowTime;

    @ApiModelProperty(value = "转发量")
    private Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    private Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "当前用户是否点赞")
    private boolean hasLiked;

    @ApiModelProperty(value = "当前用户是否转发")
    private boolean hasForward;

    @ApiModelProperty(value = "图片九宫格")
    private List<ImagesDTO> imgList;

    @ApiModelProperty(value = "转发的主题")
    private FormerThemeQo formerTheme;

    @ApiModelProperty(value = "评论Id(我的评论列表使用)")
    private String commentId;

    private Long createTime;

    private Long updateTime;

}
